List events for the authenticated context
GET /events
GET
/events
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” status
string
Comma-separated list of statuses to filter by (e.g. live,started)
orderBy
string
Field to order results by (start, end, or name)
order
string
Sort direction
mode
string
Response mode - edit returns full Event objects, profile returns EventProfile objects
Responses
Section titled “ Responses ”A list of events or event profiles
object
status
required
string
data
required
Array
One of:
Placeholder schema for Event. Add it to the schemaMap in scripts/create-content/api-docs.mjs for a richer definition.
object
object
id
string
name
string
description
string
startDate
string format: date-time
endDate
string format: date-time
timezone
string
currency
string
status
string
Unauthorized
object
status
string
Example
error message
string
Example
An error occurred error
string
Internal server error
object
status
string
Example
error message
string
Example
An error occurred error
string